<template>
<div>
    <label>{{title}} :</label>
        <input type="number"  v-model="value" :min="min" :required="required" v-on:input="handleInput">
</div>
</template>

<script>
import './NumericField.css';

export default {
    props: {
        title: {
          type: String,
          default: ""
        },
        min: {
          type: Number,
          default: 0
        },
        required: {
          type: Boolean,
          default: false
        },
        value: {
          type: Number,
          default: 0 
        },
        setValue: { type: Function }
    },
    methods:{
        handleInput(){
            this.setValue(this.value);
        }
    }
}
</script>